Advisory Details

April 22nd, 2015

Novell ZENworks Preboot Policy Service Stack Buffer Overflow Remote Code Execution Vulnerability

ZDI-15-153
ZDI-CAN-2491

CVE ID CVE-2015-0786
CVSS SCORE 10, (AV:N/AC:L/Au:N/C:C/I:C/A:C)
AFFECTED VENDORS Novell
AFFECTED PRODUCTS Zenworks
VULNERABILITY DETAILS


This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of Novell ZENWorks. Authentication is not required to exploit this vulnerability.

The specific flaw exists within ZENworks Preboot Policy Service, which listens on port 13331. The vulnerability is in the logging functionality, which copies attacker provided data into a fixed size stack buffer. An attacker could leverage this to execute arbitrary code as the local user __z_0_1__, which has Administrator privileges.

VENDOR RESPONSE Novell has issued an update to correct this vulnerability. More details can be found at:
https://www.novell.com/support/kb/doc.php?id=7016431
DISCLOSURE TIMELINE
  • 2014-09-11 - Vulnerability reported to vendor
  • 2015-04-22 - Coordinated public release of advisory
CREDIT sztivi
BACK TO ADVISORIES